Presenter (gCube Workflow Templates Portlet 2.0.0-SNAPSHOT API)
Date: 2013-05-29

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.gcube.portlets.admin.wftemplates.client.presenter
Interface Presenter

All Known Implementing Classes:
  AppController, WfTemplatesPresenter

    public interface Presenter

`Presenter` interface is the presenter interface that the actual presenter component of this webapp must implement

Version:
  May 2011 (0.1)
Author:
  Massimiliano Assante, ISTI-CNR - massimiliano.assante@isti.cnr.it

Method Summary
`void` | `addNewStep(String label, String description)`
`void` | `addRolesOnConnection(com.orange.links.client.connection.Connection selectedEdge, ArrayList<org.gcube.portlets.admin.wfdocslibrary.shared.WfRoleDetails> roles)`
`void` | `doDeleteTemplate(org.gcube.portlets.admin.wfdocslibrary.shared.WfTemplate toDelete)`
`void` | `doRemoveConnectionFromModel(com.orange.links.client.connection.Connection selected)`
`void` | `doRemoveConnectionFromView(com.orange.links.client.connection.Connection selected)`
`void` | `doRemoveStep(WfStep step)`
`void` | `doSaveTemplate(String templateName)`
`void` | `go(com.google.gwt.user.client.ui.HasWidgets container)`

Method Detail

### go

    void go(com.google.gwt.user.client.ui.HasWidgets container)

### addNewStep

    void addNewStep(String label,
                    String description)

### addRolesOnConnection

    void addRolesOnConnection(com.orange.links.client.connection.Connection selectedEdge,
                              ArrayList<org.gcube.portlets.admin.wfdocslibrary.shared.WfRoleDetails> roles)

### doSaveTemplate

    void doSaveTemplate(String templateName)

### doRemoveConnectionFromModel

    void doRemoveConnectionFromModel(com.orange.links.client.connection.Connection selected)

### doRemoveConnectionFromView

    void doRemoveConnectionFromView(com.orange.links.client.connection.Connection selected)

### doRemoveStep

    void doRemoveStep(WfStep step)

### doDeleteTemplate

    void doDeleteTemplate(org.gcube.portlets.admin.wfdocslibrary.shared.WfTemplate toDelete)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2013. All Rights Reserved.